---
title: pydo.monitoring.get_droplet_load5_metrics()
description: Get Droplet Load5 Metrics
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/monitoring/get_droplet_load5_metrics/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.monitoring.get_droplet_load5_metrics()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.monitoring.get_droplet_load5_metrics(
    host_id="17209102",
    start="1620683817",
    end="1620705417",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve 5 minute load average metrics for a given droplet, send a GET request to [`/v2/monitoring/metrics/droplet/load_5`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_dropletLoad5Metrics).

## Parameters

`host_id` string required

The droplet ID.

`start` string required

UNIX timestamp to start metric window.

`end` string required

UNIX timestamp to end metric window.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.monitoring.get_droplet_load5_metrics(host_id="17209102", start="1620683817", end="1620705417")
```

## Response Example

## Show Response Example

```json
{
  "data": {
    "result": [],
    "resultType": "matrix"
  },
  "status": "success"
}
```

## More Information

See [`/v2/monitoring/metrics/droplet/load_5`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_dropletLoad5Metrics) in the API reference for additional detail on responses, headers, parameters, and more.